> ## Documentation Index
> Fetch the complete documentation index at: https://studio.assembly.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a File's download url

> Returns a short-lived presigned download URL for a file's contents.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/files/{id}/download-url
openapi: 3.0.0
info:
  contact: {}
  title: Assembly API
  version: 0.0.1
servers:
  - url: https://api.assembly.com
security: []
paths:
  /v1/files/{id}/download-url:
    get:
      tags:
        - Files
      summary: Get a File's download url
      description: Returns a short-lived presigned download URL for a file's contents.
      operationId: retrieve-download-url-of-a-file
      parameters:
        - description: File id
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/files.FilePresignedDownload'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Missing file id or record is not a downloadable file
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Missing or invalid API key
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: File not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Unexpected server error
      security:
        - APIKeyHeader: []
components:
  schemas:
    files.FilePresignedDownload:
      properties:
        downloadUrl:
          description: >-
            DownloadUrl is a short-lived presigned URL for the file's binary
            contents.
          example: https://s3.amazonaws.com/bucket/protected/...?X-Amz-Signature=...
          format: uri
          type: string
      type: object
    dispatcher.Error:
      properties:
        code:
          type: string
        data: {}
        message:
          type: string
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-KEY
      type: apiKey

````